aboutsummaryrefslogtreecommitdiffstats
path: root/CentOS8-efi.sh
diff options
context:
space:
mode:
authorGerd Hoffmann <kraxel@redhat.com>2019-12-03 19:26:09 +0100
committerGerd Hoffmann <kraxel@redhat.com>2019-12-03 19:26:09 +0100
commit1e5d47074aa0fc116fa48b67defda73b7ea2a4b8 (patch)
tree52e89c4777747400f64cd95511849ea1d9f25c1a /CentOS8-efi.sh
parent6eb0aaba3c2e63d48728198c48bce54082f463d6 (diff)
downloadimagefish-1e5d47074aa0fc116fa48b67defda73b7ea2a4b8.tar.gz
add centos8
Diffstat (limited to 'CentOS8-efi.sh')
-rwxr-xr-xCentOS8-efi.sh21
1 files changed, 21 insertions, 0 deletions
diff --git a/CentOS8-efi.sh b/CentOS8-efi.sh
new file mode 100755
index 0000000..b554699
--- /dev/null
+++ b/CentOS8-efi.sh
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+name="centos-8-efi"
+repo="repos/centos-8.repo"
+rpms="grub2-efi grub2-pc shim -grubby -dracut-config-rescue dracut-config-generic"
+
+arch="$(uname -m)"
+tar="${IMAGEFISH_DESTDIR-.}/${name}-${arch}.tar.gz"
+img="${IMAGEFISH_DESTDIR-.}/${name}-${arch}.qcow2"
+
+echo ""
+echo "###"
+echo "### $name ($arch)"
+echo "###"
+echo "### $rpms"
+echo "###"
+
+set -ex
+rm -f "$tar" "$img"
+scripts/install-redhat.sh --config "$repo" --tar "$tar" --packages "$rpms" --yum
+scripts/tar-to-image.sh --tar "$tar" --image "$img" --efi-grub2